
terraform {
  required_version = ">=1.0"
  backend "s3" {
    encrypt = true
    bucket  = "jamkazam-terraform"
    region  = "us-east-1"
    key     = "video.tfstate"
  }
  required_providers {
    linode = {
      source  = "linode/linode"
      version = "~> 2.0"
    }
    #hashicorplocal = {
    #  source = "hashicorp/local"
    #  version = "2.1.0"
    #}
    #hashicorpkubernetes = {
    #  source = "hashicorp/kubernetes"
    #  version = "2.6.1"
    #}
    #hashicorpaws = {
    #  source = "hashicorp/aws"
    #  version = "3.65.0"
    #}
  }
}

provider "linode" {

}

provider "aws" {
  region = "us-east-1"
}
